# -*-shell-script-*-

[Meta]
RootName: @lemon.cs.elte.hu/lemon:$SOFTWAREVERSION
DisplayName: Lemon Library
ShortName: lemon
Maintainer: The LEMON Developers - http://lemon.cs.elte.hu/
Packager: Alpar Juttner <alpar@cs.elte.hu>
Summary: LEMON library
SoftwareVersion: @VERSION@
AutopackageTarget: 0.7

# Only uncomment InterfaceVersion if your package exposes interfaces to other software,
# for instance if it includes DSOs or python/perl modules. See the developer guide for more info,
# or ask on autopackage-dev if you don't understand interface versioning in autopackage.
#
# InterfaceVersion: 0.0

PackageVersion: 1

[Description]
LEMON stands for Library of Efficient Models and Optimization in Networks.
It is a C++ template library aimed at combinatorial optimization tasks,
primaliry those involved in working with graphs.

[BuildPrepare]
prepareBuild

[BuildUnprepare]
unprepareBuild

[Imports]
echo '*' | import

[Prepare]
# Dependency checking
#require @whatever.you/need 1.0

[Install]
# Put your installation script here
#installExe bin/*
copyFiles * $PREFIX

[Uninstall]
# Usually just the following line is enough to uninstall everything
uninstallFromLog
